Name "Bartok's Basement"

CRCCheck force
SetCompressor /SOLID /FINAL lzma

 Page license
 Page directory
 Page instfiles
 UninstPage uninstConfirm
 UninstPage instfiles

OutFile "Bartoks_Basement.exe"

LicenseText "License Agreement:"
LicenseData "Ack.rtf"

InstallDirRegKey HKLM "SOFTWARE\Taldren\Starfleet Command Orion Pirates" "Directory"
DirText "Please confirm your OP installation directory:"

Var opplus_version
Var is_installed

Section "Install"

ReadRegStr $opplus_version HKLM "SOFTWARE\FireSoul\opplus" "version"
StrCmp $opplus_version "4.0" Opplus_installed Opplus_not_installed

Opplus_installed:

ReadRegStr $is_installed HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\Bartoks_Basement" "DisplayName"
StrCmp $is_installed "Bartok's Basement Files" Bartoks_Basement_installed Bartoks_Basement_not_installed

Bartoks_Basement_not_installed:

CreateDirectory "$INSTDIR\Bartoks_Basement_backup"

CreateDirectory "$INSTDIR\Bartoks_Basement_backup\Assets"

CreateDirectory "$INSTDIR\Bartoks_Basement_backup\Assets\Specs"
CopyFiles "$INSTDIR\Assets\Specs\shiplist.txt" "$INSTDIR\Bartoks_Basement_backup\Assets\Specs" 2911
CopyFiles "$INSTDIR\Assets\Specs\ftrlist.txt" "$INSTDIR\Bartoks_Basement_backup\Assets\Specs" 29

CreateDirectory "$INSTDIR\Bartoks_Basement_backup\MetaAssets"
CopyFiles "$INSTDIR\MetaAssets\shiplist.txt" "$INSTDIR\Bartoks_Basement_backup\MetaAssets" 2911
CopyFiles "$INSTDIR\MetaAssets\ftrlist.txt" "$INSTDIR\Bartoks_Basement_backup\MetaAssets" 29


SetOutPath $INSTDIR\MetaAssets
File /r Shiplist\*.*
SetOutPath $INSTDIR\Assets\Specs
File /r Shiplist\*.*
SetOutPath $INSTDIR\Assets
File /r Models

WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\Bartoks_Basement" "DisplayName" "Bartok's Basement Files"
WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\Bartoks_Basement" "UninstallString" '"$INSTDIR\Bartoks_Basement_Uninstall.exe"'

SetOutPath $INSTDIR
WriteUninstaller "Bartoks_Basement_Uninstall.exe"
CreateDirectory "$SMPROGRAMS\Bartoks_Basement"
CreateShortCut "$SMPROGRAMS\Bartoks_Basement\Uninstall Bartok's Basement Files.lnk" "$INSTDIR\Bartoks_Basement_Uninstall.exe"

CreateDirectory "$INSTDIR\Bartoks_Basement_backup\Shortcuts"
SetOutPath $INSTDIR\Bartoks_Basement_backup\Shortcuts
File /r Shortcuts\*.*
CreateShortCut "$SMPROGRAMS\Bartoks_Basement\Bartok's Basement Website.lnk" "$INSTDIR\Bartoks_Basement_backup\Shortcuts\Bartok's Basement Website.URL"

SetOutPath $INSTDIR

Goto Finished_install

Opplus_not_installed:
MessageBox MB_OK|MB_ICONSTOP "OP+ 4.0 not found! Bartok's Basement requires OP+ 4.0, please install it first. (Bartok's Basement not installed.)" IDOK Finished_install

Bartoks_Basement_installed:
MessageBox MB_OK|MB_ICONSTOP "Bartok's Basement already installed! Please uninstall the current version if you wish to reinstall." IDOK Finished_install

Finished_install:

SectionEnd 


Section "Uninstall"

RMDir /r "$INSTDIR\Assets\Models\bartoksbasement"

CopyFiles "$INSTDIR\Bartoks_Basement_backup\Assets\Specs\*.txt" "$INSTDIR\Assets\Specs"

CopyFiles "$INSTDIR\Bartoks_Basement_backup\MetaAssets\*.txt" "$INSTDIR\MetaAssets"

RMDir /r "$INSTDIR\Bartoks_Basement_backup"

DeleteRegKey HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\Bartoks_Basement"

Delete "$SMPROGRAMS\Bartoks_Basement\*.*"
RMDir "$SMPROGRAMS\Bartoks_Basement"

Delete "$INSTDIR\Bartoks_Basement_Uninstall.exe"

SectionEnd